Widgets.BackgroundColorWidget
Date: 2019-10-22

org.openscience.jmol.app.webexport

## Class Widgets.BackgroundColorWidget

- java.lang.Object
- - org.openscience.jmol.app.webexport.Widgets.Widget
  - - org.openscience.jmol.app.webexport.Widgets.BackgroundColorWidget

- Enclosing class:
    Widgets

      class Widgets.BackgroundColorWidget
      extends Widgets.Widget

- - ### Field Summary

    - ### Fields inherited from class org.openscience.jmol.app.webexport.Widgets.Widget

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackgroundColorWidget()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) java.lang.String` | `getJavaScript(int appletID, JmolInstance instance)` Each Widget must implement this function and make sure to use the appletID number to specify the target applet i.e.
    `(package private) java.lang.String` | `getJavaScriptFileName()` A COPY OF THIS .JS FILE MUST BE STORED IN THE html PART OF WEBEXPORT
    `(package private) java.lang.String[]` | `getSupportFileNames()` The list of files returned by this function should contain the full path to each file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackgroundColorWidget

          BackgroundColorWidget()

  - ### Method Detail

    - #### getJavaScriptFileName

          java.lang.String getJavaScriptFileName()

      Description copied from class: `Widgets.Widget`
      A COPY OF THIS .JS FILE MUST BE STORED IN THE html PART OF WEBEXPORT
      Specified by:
        `getJavaScriptFileName` in class `Widgets.Widget`
      Returns:
        "none" (no file needed) or javascript file necessary to implement the widget

    - #### getSupportFileNames

          java.lang.String[] getSupportFileNames()

      Description copied from class: `Widgets.Widget`
      The list of files returned by this function should contain the full path to each file. The only exception is that files that only contain a filename will be assumed to be in the html section of WebExport.
      Specified by:
        `getSupportFileNames` in class `Widgets.Widget`
      Returns:
        string of filenames.

    - #### getJavaScript

          java.lang.String getJavaScript(int appletID,
                                         JmolInstance instance)

      Description copied from class: `Widgets.Widget`
      Each Widget must implement this function and make sure to use the appletID number to specify the target applet i.e. "JmolApplet(appletID)". NOTE anything that must be translated in the web page should be wrapped in both a call to GT.escapeHTML and GT._ as in the following: GT.escapeHTML(GT._("text to translate"))
      Specified by:
        `getJavaScript` in class `Widgets.Widget`
      Returns:
        the JavaScript and html to implement the widget